{*****************************************************************************
* UNIT DESCRIPTION:  Input class used by Harmonic charting
* SPEC REF: (if used)
* DESIGN REF: (if used)
*
* Copyright (c) 2009 Schweitzer Engineering Laboratories, Pullman, Washington
******************************************************************************}
unit ClassChartInputHRM;

interface

uses
  Windows, Messages, SysUtils, Classes, ClassTimeSeries, ClassChartInput;
type
  TTimeSeriesInputSettingsHRM = class(TTimeSeriesInputSettings)
  private
    FHarmonicChartType : TTimeSeriesHarmonicType;
    FHarmonicChartDisplay : TTimeSeriesHarmonicDisplayType;
    FHarmonicChartDisplayStart : integer;
    FHarmonicChartDisplayInterval : integer;
  public
    Constructor Create;
    property  HarmonicChartType : TTimeSeriesHarmonicType read FHarmonicChartType
                                                          write FHarmonicChartType;
    property  HarmonicChartDisplay : TTimeSeriesHarmonicDisplayType
              read FHarmonicChartDisplay write FHarmonicChartDisplay;
    property HarmonicChartDisplayInterval : integer read FHarmonicChartDisplayInterval
                                         write FHarmonicChartDisplayInterval;
    property HarmonicChartDisplayStart : integer read FHarmonicChartDisplayStart
                                         write FHarmonicChartDisplayStart;
  end;

implementation

{************************************************************************
* NAME:           Create
* FUNCTIONAL DESCRIPTION:   constructor
* INPUT PARAMETERS: none
* OUTPUT PARAMETERS: none
* RETURN: none
************************************************************************}
constructor TTimeSeriesInputSettingsHRM.Create();
begin
  inherited Create;
  FHarmonicChartType := htSpectral;
  FHarmonicChartDisplay := hdtAll;
  FHarmonicChartDisplayStart := 1;
  FHarmonicChartDisplayInterval := 5;
end;

end.
