{*****************************************************************************
* UNIT DESCRIPTION:  Input class used by SSI charting
* SPEC REF: (if used)
* DESIGN REF: (if used)
*
* Copyright (c) 2009 Schweitzer Engineering Laboratories, Pullman, Washington
******************************************************************************}
unit ClassChartInputSSI;

interface

uses
  Windows, Messages, SysUtils, Classes, ClassTimeSeries, ClassChartInput;
type
  TTimeSeriesInputSettingsSSI = class(TTimeSeriesInputSettings)
  private
    FBeginDateActive : boolean;
    FEndDateActive   : boolean;
    FEventPhase      : THMIEventPhase;
    FEventType       : TTimeSeriesEventType;
    FBeginDateTime   : TDateTime;
    FEndDateTime     : TDateTime;
    FChartCBEMA      : boolean;
  public
    Constructor Create;
    property  BeginDateActive : boolean read FBeginDateActive write FBeginDateActive;
    property  EndDateActive   : boolean read FEndDateActive write FEndDateActive;
    property  EventPhase      : THMIEventPhase read FEventPhase write FEventPhase;
    property  EventType       : TTimeSeriesEventType read FEventType write FEventType;
    property  BeginDateTime   : TDateTime read FBeginDateTime write FBeginDateTime;
    property  EndDateTime     : TDateTime read FEndDateTime write FEndDateTime;
    property  ChartCBEMA      : boolean read FChartCBEMA write FChartCBEMA;
  end;

implementation
{************************************************************************
* NAME:           Create
* FUNCTIONAL DESCRIPTION:   constructor
* INPUT PARAMETERS: none
* OUTPUT PARAMETERS: none
* RETURN: none
************************************************************************}
constructor TTimeSeriesInputSettingsSSI.Create();
begin
  inherited Create;
  FEventPhase := epAll;
  FEventType := evAll;
  FBeginDateActive := false;
  FEndDateActive := false;
  FBeginDateTime := Now;
  FEndDateTime := Now;
  FChartCBEMA := true;
end;

end.
