{*****************************************************************************
* UNIT DESCRIPTION:  Date/Time constants used in TOU and charting
* SPEC REF: (if used)
* DESIGN REF: (if used)
*
* Copyright (c) 2009 Schweitzer Engineering Laboratories, Pullman, Washington
******************************************************************************}
unit TimeConstants;

interface

const
  {Time constants}
  MIN_YEAR                  = 1;
  MAX_YEAR                  = 3000;

  DRT_MIN_YEAR              = 2000; // minimum year for repeating events

  MIN_MONTH                 = 1;
  MAX_MONTH                 = 12;

  MIN_HOUR                  = 0;
  MAX_HOUR                  = 24;

  MIN_MINUTE                = 0;
  MAX_MINUTE                = 59;

  MIN_DAY                   = 1;

  DAYS_IN_WEEK              = 7;

  HOURS_IN_DAY              = 24;
  MINUTES_IN_HOUR           = 60;
  MINUTES_IN_DAY            = HOURS_IN_DAY * MINUTES_IN_HOUR;

  MAX_DAYS_IN_MONTH         = 31;

  WEEKS_IN_MONTH            = 6;

  {Graphical constants for drawing nothing or error conditions}
  NO_YEAR                   = -1;
  NO_MONTH                  = -1;
  NO_DAY                    = -1;
  
  SUNDAY                    = 1;
  MONDAY                    = 2;
  TUESDAY                   = 3;
  WEDNESDAY                 = 4;
  THURSDAY                  = 5;
  FRIDAY                    = 6;
  SATURDAY                  = 7;

  JANUARY                   = 1;
  FEBRUARY                  = 2;
  MARCH                     = 3;
  APRIL                     = 4;
  MAY                       = 5;
  JUNE                      = 6;
  JULY                      = 7;
  AUGUST                    = 8;
  SEPTEMBER                 = 9;
  OCTOBER                   = 10;
  NOVEMBER                  = 11;
  DECEMBER                  = 12;

implementation

end.
